TLSARecord (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class TLSARecord

- java.lang.Object
- - org.xbill.DNS.Record
  - - org.xbill.DNS.TLSARecord

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable

      public class TLSARecord
      extends Record

  Transport Layer Security Authentication
  Author:
    Brian Wellington
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TLSARecord.CertificateUsage`
    `static class` | `TLSARecord.MatchingType`
    `static class` | `TLSARecord.Selector`

  - ### Field Summary

    - ### Fields inherited from class org.xbill.DNS.Record

      `dclass, name, ttl, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TLSARecord(Name name, int dclass, long ttl, int certificateUsage, int selector, int matchingType, byte[] certificateAssociationData)` Creates an TLSA Record from the given data

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getCertificateAssociationData()` Returns the certificate associate data of this TLSA record
    `int` | `getCertificateUsage()` Returns the certificate usage of the TLSA record
    `int` | `getMatchingType()` Returns the matching type of the TLSA record
    `int` | `getSelector()` Returns the selector of the TLSA record

    - ### Methods inherited from class org.xbill.DNS.Record

      `byteArrayFromString, byteArrayToString, compareTo, equals, fromString, fromString, fromWire, getAdditionalName, getDClass, getName, getRRsetType, getTTL, getType, hashCode, newRecord, newRecord, newRecord, newRecord, rdataToString, rdataToWireCanonical, sameRRset, toString, toWire, toWireCanonical, unknownToString, withName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TLSARecord

          public TLSARecord(Name name,
                    int dclass,
                    long ttl,
                    int certificateUsage,
                    int selector,
                    int matchingType,
                    byte[] certificateAssociationData)

      Creates an TLSA Record from the given data
      Parameters:
        `certificateUsage` - The provided association that will be used to match the certificate presented in the TLS handshake.
        `selector` - The part of the TLS certificate presented by the server that will be matched against the association data.
        `matchingType` - How the certificate association is presented.
        `certificateAssociationData` - The "certificate association data" to be matched.

  - ### Method Detail

    - #### getCertificateUsage

          public int getCertificateUsage()

      Returns the certificate usage of the TLSA record

    - #### getSelector

          public int getSelector()

      Returns the selector of the TLSA record

    - #### getMatchingType

          public int getMatchingType()

      Returns the matching type of the TLSA record

    - #### getCertificateAssociationData

          public final byte[] getCertificateAssociationData()

      Returns the certificate associate data of this TLSA record